## ros-one-pal-statistics 1.5.2-2jammy.20251023.0151

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_statistics)

find_package(catkin REQUIRED COMPONENTS
  pal_statistics_msgs
  roscpp
  rospy
  rosbag
)
catkin_python_setup()
## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} extract_rosbag_signals
  CATKIN_DEPENDS pal_statistics_msgs roscpp
#  DEPENDS Boost
)

include_directories( SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

include_directories(include)

## Declare a C++ library
add_library(${PROJECT_NAME}
  src/pal_statistics_utils.cpp
  src/pal_statistics.cpp
  src/pal_statistics_macros.cpp
)

add_library(extract_rosbag_signals
  src/extract_rosbag_signals.cpp
)

## Specify libraries to link a library or executable target against
 target_link_libraries(${PROJECT_NAME}
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES}
 )

## Specify libraries to link a library or executable target against
 target_link_libraries(extract_rosbag_signals
   ${PROJECT_NAME}
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES}
 )

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
# add_executable(${PROJECT_NAME}_node src/pal_statistics_node.cpp)

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} extract_rosbag_signals
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    catkin_add_gtest(buffer-test test/gtest_buffer.cpp)
    target_link_libraries(buffer-test
                                ${PROJECT_NAME}
                                ${catkin_LIBRARIES})

    add_rostest_gmock(pal_statistics-test test/pal_statistics.test test/gtest_pal_statistics.cpp)
    target_link_libraries(pal_statistics-test
                                ${PROJECT_NAME}
                                ${catkin_LIBRARIES})

    add_rostest(test/pal_statistics_py.test)

    add_rostest_gtest(extract_rosbag_signals-test test/extract_rosbag_signals_test.test test/extract_rosbag_signals_test.cpp)
    target_link_libraries(extract_rosbag_signals-test
                                extract_rosbag_signals
                                ${PROJECT_NAME}
                                ${catkin_LIBRARIES})
endif(CATKIN_ENABLE_TESTING)
## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_pal_statistics.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-one-pal-statistics (1.5.2-2jammy.20251023.0151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- victor <victor.lopez@pal-robotics.com>  Thu, 23 Oct 2025 01:51:08 +0000

ros-one-pal-statistics (1.5.2-0jammy) jammy; urgency=high

  * do not rely on extension for std::vector<bool>
    The standard does not define std::swap() for the bit proxy objects,
    but defines a static method instead. This broke with clang++ 14.0.6 over
    here.
    See here for more details:
    https://stackoverflow.com/a/58660208/21260084
  * Contributors: v4hn

 -- victor <victor.lopez@pal-robotics.com>  Thu, 16 May 2024 00:00:00 -0000

ros-one-pal-statistics (1.5.1-0jammy) jammy; urgency=high

  * drop c++11 compiler flag
    broke on newer systems as log4cxx requires c++17 for quite some time now.
  * Contributors: v4hn

 -- victor <victor.lopez@pal-robotics.com>  Wed, 19 Jul 2023 00:00:00 -0000

ros-one-pal-statistics (1.5.0-0jammy) jammy; urgency=high

  * Merge branch 'python3' into 'erbium-devel'
    Make python code compatible with python2/3
    See merge request qa/pal_statistics!23
  * futurize'd python code
  * Contributors: Jordan Palacios

 -- victor <victor.lopez@pal-robotics.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-one-pal-statistics (1.4.3-0jammy) jammy; urgency=high

  * Fix spurious test failure
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Fri, 19 Mar 2021 00:00:00 -0000

ros-one-pal-statistics (1.4.2-0jammy) jammy; urgency=high

  * Merge branch 'data_signal' into 'erbium-devel'
    Data signal
    See merge request qa/pal_statistics!22
  * Add documentation + tests for extact_rosbag_signals
  * Merge branch 'python_more_tests' into 'erbium-devel'
    add more tests based on lists and dictionary data for the python API
    See merge request qa/pal_statistics!21
  * Get data signal from introspection data rosbag
    Rm *.user
    Get data signal from introspection data rosbag
    Rm *.user
    Mv DataSignal to a separate library
  * add more tests based on lists and dictionary data for the python API
  * Contributors: Adria Roig, Sai Kishor Kothakota, victor

 -- victor <victor.lopez@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-pal-statistics (1.4.1-0jammy) jammy; urgency=high

  * Update license on headers
    refs #5
  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-one-pal-statistics (1.4.0-0jammy) jammy; urgency=high

  * Merge branch 'use-atomic-bool' into 'erbium-devel'
    Use atomic bool, because we need atomic operation
    See merge request qa/pal_statistics!18
  * Use atomic bool, because we need atomic operation
  * Contributors: Victor Lopez, victor

 -- victor <victor.lopez@pal-robotics.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-one-pal-statistics (1.3.1-0jammy) jammy; urgency=high

  * Fix shadow variable warning
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-one-pal-statistics (1.3.0-0jammy) jammy; urgency=high

  * Merge branch 'async-optimizations' into 'erbium-devel'
    Optimize async update when everything is enabled
    See merge request qa/pal_statistics!17
  * Smarter clear and resize of vectors when all enabled
  * Optimize async update when everything is enabled
  * Add LGPL3 version text
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 12 Aug 2019 00:00:00 -0000

ros-one-pal-statistics (1.2.1-0jammy) jammy; urgency=high

  * Fix stamp of full messages
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 18 Apr 2019 00:00:00 -0000

ros-one-pal-statistics (1.2.0-0jammy) jammy; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Update python api to new msgs
  * Rename full statistics topic
  * Add new messages
  * Change internal structure from vector of pairs to pair of vectors
  * Add missing add_dependencies
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 16 Apr 2019 00:00:00 -0000

ros-one-pal-statistics (1.1.1-0jammy) jammy; urgency=high

  * Merge branch 'correct-stamp' into 'erbium-devel'
    Correct stamp
    See merge request qa/pal_statistics!14
  * Add macros with variable argument count
  * Set time stamp from main thread
  * Fix maintainer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-one-pal-statistics (1.1.0-0jammy) jammy; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix spurious test failure when buffer was filled
    See merge request qa/pal_statistics!12
  * Fix spurious test failure when buffer was filled
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-pal-statistics (1.0.8-0jammy) jammy; urgency=high

  * Fix some issues with copyable object that shouldn't be
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics (1.0.7-0jammy) jammy; urgency=high

  * Change Sleep to WallSleep
    When sim time stops being published. The thread can get stuck and never
    end.
  * Fix unitialized variable
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics (1.0.6-0jammy) jammy; urgency=high

  * Merge branch 'improve-constness' into 'erbium-devel'
    Change namespace to pal_statistics and and const to double *
    Closes #5
    See merge request qa/pal_statistics!11
  * Add tests for registration modification between pubAsync and publishing
  * Change namespace to pal_statistics and and const to double *
    Fixes https://gitlab/qa/pal_statistics/issues/5
  * Contributors: Victor Lopez



=== debian/control ===
Source: ros-one-pal-statistics
Section: misc
Priority: optional
Maintainer: victor <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-pal-statistics-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-pal-statistics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python3-future, ros-one-pal-statistics-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-rospy
Description: The pal_statistics package

## ros-one-pal-statistics 1.5.2-2jammy.20260220.2239

=== debian/changelog ===
ros-one-pal-statistics (1.5.2-2jammy.20260220.2239) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- victor <victor.lopez@pal-robotics.com>  Fri, 20 Feb 2026 22:39:34 +0000

## ros-one-pal-statistics 1.5.2-2noble.20251023.0149

=== debian/changelog ===
ros-one-pal-statistics (1.5.2-2noble.20251023.0149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- victor <victor.lopez@pal-robotics.com>  Thu, 23 Oct 2025 01:49:27 +0000

ros-one-pal-statistics (1.5.2-0noble) noble; urgency=high

  * do not rely on extension for std::vector<bool>
    The standard does not define std::swap() for the bit proxy objects,
    but defines a static method instead. This broke with clang++ 14.0.6 over
    here.
    See here for more details:
    https://stackoverflow.com/a/58660208/21260084
  * Contributors: v4hn

 -- victor <victor.lopez@pal-robotics.com>  Thu, 16 May 2024 00:00:00 -0000

ros-one-pal-statistics (1.5.1-0noble) noble; urgency=high

  * drop c++11 compiler flag
    broke on newer systems as log4cxx requires c++17 for quite some time now.
  * Contributors: v4hn

 -- victor <victor.lopez@pal-robotics.com>  Wed, 19 Jul 2023 00:00:00 -0000

ros-one-pal-statistics (1.5.0-0noble) noble; urgency=high

  * Merge branch 'python3' into 'erbium-devel'
    Make python code compatible with python2/3
    See merge request qa/pal_statistics!23
  * futurize'd python code
  * Contributors: Jordan Palacios

 -- victor <victor.lopez@pal-robotics.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-one-pal-statistics (1.4.3-0noble) noble; urgency=high

  * Fix spurious test failure
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Fri, 19 Mar 2021 00:00:00 -0000

ros-one-pal-statistics (1.4.2-0noble) noble; urgency=high

  * Merge branch 'data_signal' into 'erbium-devel'
    Data signal
    See merge request qa/pal_statistics!22
  * Add documentation + tests for extact_rosbag_signals
  * Merge branch 'python_more_tests' into 'erbium-devel'
    add more tests based on lists and dictionary data for the python API
    See merge request qa/pal_statistics!21
  * Get data signal from introspection data rosbag
    Rm *.user
    Get data signal from introspection data rosbag
    Rm *.user
    Mv DataSignal to a separate library
  * add more tests based on lists and dictionary data for the python API
  * Contributors: Adria Roig, Sai Kishor Kothakota, victor

 -- victor <victor.lopez@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-pal-statistics (1.4.1-0noble) noble; urgency=high

  * Update license on headers
    refs #5
  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-one-pal-statistics (1.4.0-0noble) noble; urgency=high

  * Merge branch 'use-atomic-bool' into 'erbium-devel'
    Use atomic bool, because we need atomic operation
    See merge request qa/pal_statistics!18
  * Use atomic bool, because we need atomic operation
  * Contributors: Victor Lopez, victor

 -- victor <victor.lopez@pal-robotics.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-one-pal-statistics (1.3.1-0noble) noble; urgency=high

  * Fix shadow variable warning
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-one-pal-statistics (1.3.0-0noble) noble; urgency=high

  * Merge branch 'async-optimizations' into 'erbium-devel'
    Optimize async update when everything is enabled
    See merge request qa/pal_statistics!17
  * Smarter clear and resize of vectors when all enabled
  * Optimize async update when everything is enabled
  * Add LGPL3 version text
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 12 Aug 2019 00:00:00 -0000

ros-one-pal-statistics (1.2.1-0noble) noble; urgency=high

  * Fix stamp of full messages
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 18 Apr 2019 00:00:00 -0000

ros-one-pal-statistics (1.2.0-0noble) noble; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Update python api to new msgs
  * Rename full statistics topic
  * Add new messages
  * Change internal structure from vector of pairs to pair of vectors
  * Add missing add_dependencies
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 16 Apr 2019 00:00:00 -0000

ros-one-pal-statistics (1.1.1-0noble) noble; urgency=high

  * Merge branch 'correct-stamp' into 'erbium-devel'
    Correct stamp
    See merge request qa/pal_statistics!14
  * Add macros with variable argument count
  * Set time stamp from main thread
  * Fix maintainer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-one-pal-statistics (1.1.0-0noble) noble; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix spurious test failure when buffer was filled
    See merge request qa/pal_statistics!12
  * Fix spurious test failure when buffer was filled
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-pal-statistics (1.0.8-0noble) noble; urgency=high

  * Fix some issues with copyable object that shouldn't be
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics (1.0.7-0noble) noble; urgency=high

  * Change Sleep to WallSleep
    When sim time stops being published. The thread can get stuck and never
    end.
  * Fix unitialized variable
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics (1.0.6-0noble) noble; urgency=high

  * Merge branch 'improve-constness' into 'erbium-devel'
    Change namespace to pal_statistics and and const to double *
    Closes #5
    See merge request qa/pal_statistics!11
  * Add tests for registration modification between pubAsync and publishing
  * Change namespace to pal_statistics and and const to double *
    Fixes https://gitlab/qa/pal_statistics/issues/5
  * Contributors: Victor Lopez



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pal-statistics//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pal-statistics 1.5.2-2noble.20260220.2253

=== debian/changelog ===
ros-one-pal-statistics (1.5.2-2noble.20260220.2253) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- victor <victor.lopez@pal-robotics.com>  Fri, 20 Feb 2026 22:53:56 +0000
